CREATE TABLE cjm_supp_trade_profiles_all (
    SUPPLIER_TRADE_PROFILE_ID     NUMBER(18, 0),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    BU_ID                         NUMBER(18, 0)    NOT NULL,
    SUPPLIER_ID                   NUMBER(18, 0)    NOT NULL,
    SUPPLIER_SITE_ID              NUMBER(18, 0),
    ENABLED_FLAG                  VARCHAR2(4)  ,
    SSD_GRACE_DAYS                NUMBER(18, 0),
    CALC_ACCRUALS_FOR_RMA_FLAG    VARCHAR2(4)  ,
    DEFAULT_CLAIM_OWNER_ID        NUMBER(18, 0),
    DEFAULT_PROGRAM_OWNER_ID      NUMBER(18, 0),
    EARNED_ACCRUALS_EVENT         VARCHAR2(120),
    CATEGORY_SET_ID               NUMBER(18, 0),
    CLAIM_OWNER_USER_ID           NUMBER(18, 0),
    PROGRAM_OWNER_USER_ID         NUMBER(18, 0),
    SUPPLIER_TRADE_PROFILE_ID     NUMBER(18, 0),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    BU_ID                         NUMBER(18, 0)    NOT NULL,
    SUPPLIER_ID                   NUMBER(18, 0)    NOT NULL,
    SUPPLIER_SITE_ID              NUMBER(18, 0),
    ENABLED_FLAG                  VARCHAR2(4)  ,
    SSD_GRACE_DAYS                NUMBER(18, 0),
    CALC_ACCRUALS_FOR_RMA_FLAG    VARCHAR2(4)  ,
    DEFAULT_CLAIM_OWNER_ID        NUMBER(18, 0),
    EARNED_ACCRUALS_EVENT         VARCHAR2(120),
    CATEGORY_SET_ID               NUMBER(18, 0),
    DEFAULT_PROGRAM_OWNER_ID      NUMBER(18, 0),
    CLAIM_OWNER_USER_ID           NUMBER(18, 0),
    PROGRAM_OWNER_USER_ID         NUMBER(18, 0),
    CONSTRAINT pk_cjm_supp_trade_profiles_all PRIMARY KEY (SUPPLIER_TRADE_PROFILE_ID, SUPPLIER_TRADE_PROFILE_ID)
);
